AgentConnect
Agents

Decide a webchat MCP operation

Approves or denies one exact pending operation. Approval is the sole execution claimant.

POST
/v1/orgs/{orgId}/agents/{agentId}/webchat/{conversationId}/mcp-operations/{operationId}/decision

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string
agentId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
conversationId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
operationId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/orgs/string/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/webchat/497f6eca-6276-4993-bfeb-53cbbbba6f08/mcp-operations/497f6eca-6276-4993-bfeb-53cbbbba6f08/decision" \  -H "Content-Type: application/json" \  -d '{    "decision": "approve"  }'
{  "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",  "toolName": "string",  "arguments": null,  "status": "awaiting_confirmation",  "createdAt": "string",  "confirmationExpiresAt": "string",  "completedAt": "string",  "result": null,  "nativeUi": {    "resourceUri": "ui://agentconnect/integration-setup",    "resourceVersion": 1,    "orgId": "string",    "intent": {      "mode": "create",      "provider": "string",      "agentId": "bc309ecf-5f66-4057-93c5-6611cc9cb7b2"    }  }}